<template>
  	<div id="app">
		<div class="fixed-top-navbar">
			<div class="app-name">Over Board</div>
			<router-link to="/">Home</router-link>
			<router-link to="new">New</router-link>
		</div>
    	<router-view></router-view>
  	</div>
</template>

<script>
export default {
  	name: 'app'
}
</script>

<style>

#app {
	font-family: 'Asap', Helvetica, Arial, sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	color: #2c3e50;
	margin-top: 62px;
	padding-bottom: 30px;
}

.app-name {
	float: left;
	color: #fff;
	padding: 14px 27px 14px 47px;
	text-transform: uppercase;
}

.fixed-top-navbar {
    overflow: hidden;
    background-color: #333;
    position: fixed; 
    top: 0; 
    width: 100%;
}

.fixed-top-navbar a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}
</style>
